Package org.eclipse.rdf4j.query.algebra.evaluation.limited

## Class LimitedSizeEvaluationStrategy

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.evaluation.impl.StrictEvaluationStrategy
  - - org.eclipse.rdf4j.query.algebra.evaluation.limited.LimitedSizeEvaluationStrategy

- All Implemented Interfaces:
    `EvaluationStrategy`, `FederatedServiceResolver`, `FederatedServiceResolverClient`, `UUIDable`

      public class LimitedSizeEvaluationStrategy
      extends StrictEvaluationStrategy

  Author:
    Jerven Bolleman, SIB Swiss Institute of Bioinformatics

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.algebra.evaluation.impl.StrictEvaluationStrategy

      `dataset, serviceResolver, tripleSource`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LimitedSizeEvaluationStrategy​(TripleSource tripleSource, long maxSize, FederatedServiceResolver serviceManager)` |
    `LimitedSizeEvaluationStrategy​(TripleSource tripleSource, Dataset dataset, int maxCollectionsSize, FederatedServiceResolver serviceManager)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<B> Set<B>` | `makeSet()` |

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.evaluation.impl.StrictEvaluationStrategy

      `evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, getLimit, getService, getUUID, getVarValue, isReducedOrDistinct, isTrue, isTrue, optimize, precompile, precompile, precompile, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, setFederatedServiceResolver, setOptimizerPipeline, setTrackResultSize, setTrackTime, supplyBinaryValueEvaluation, supplyUnaryValueEvaluation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.evaluation.EvaluationStrategy

      `makeQueue`

- - ### Constructor Detail

    - #### LimitedSizeEvaluationStrategy

          public LimitedSizeEvaluationStrategy​(TripleSource tripleSource,
                                               long maxSize,
                                               FederatedServiceResolver serviceManager)

      Parameters:
        `tripleSource` -

    - #### LimitedSizeEvaluationStrategy

          public LimitedSizeEvaluationStrategy​(TripleSource tripleSource,
                                               Dataset dataset,
                                               int maxCollectionsSize,
                                               FederatedServiceResolver serviceManager)

      Parameters:
        `tripleSource` -
        `dataset` -
        `maxCollectionsSize` -

  - ### Method Detail

    - #### makeSet

          public <B> Set<B> makeSet()